<?php
/**
 * Body Classes.
 * @package Omega Design Agency
 */

if (!function_exists('omega_design_agency_body_classes')) :

    function omega_design_agency_body_classes($omega_design_agency_classes)
    {
        $omega_design_agency_defaults = omega_design_agency_get_default_theme_options();
        $omega_design_agency_layout = omega_design_agency_get_final_sidebar_layout();

        // Adds a class of hfeed to non-singular pages.
        if (!is_singular()) {
            $omega_design_agency_classes[] = 'hfeed';
        }

        // Sidebar layout logic
        $omega_design_agency_classes[] = $omega_design_agency_layout;

        // Copyright alignment
        $copyright_alignment = get_theme_mod('omega_design_agency_copyright_alignment', 'Default');
        $omega_design_agency_classes[] = 'copyright-' . strtolower($copyright_alignment);

        return $omega_design_agency_classes;
    }

endif;

add_filter('body_class', 'omega_design_agency_body_classes');